Name:           taxipilot
Version:        0.9.2
Release:        10%{?dist}
Summary:        Game where you pilot a taxi in space
Group:          Amusements/Games
License:        GPLv2+
URL:            http://taxipilot.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch1:         taxipilot-0.9.1-desktop.patch
Patch2:         taxipilot-0.9.1-weaksym.patch
Patch3:         taxipilot-0.9.2-kdemm.patch
Patch4:         taxipilot-0.9.2-arts-startup.patch
Patch5:         taxipilot-0.9.2-gcc45.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  kdelibs3-devel arts-devel desktop-file-utils
Requires:       hicolor-icon-theme

%description
Game where you pilot a taxi in space, the objective is to pick up passengers
waiting on a number of platforms and to drop them where they want to go.
That's basically it.


%prep
%setup -q
%patch1 -p1 -b .desktop
%patch2 -p1 -b .weaksym
%patch3 -p1 -b .kdemm
%patch4 -p1 -b .start-arts
%patch5 -p1


%build
. /etc/profile.d/qt.sh
%configure --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
. /etc/profile.d/qt.sh
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/libEXT_wavpo.so
%find_lang %{name}

# install .desktop file
desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Games/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog TODO
%{_bindir}/%{name}*
%{_libdir}/libEXT_wavpo.*
%{_libdir}/mcop/EXT_WavPlayObject.mcopclass
%{_datadir}/apps/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/??color/*/apps/%{name}.png
%{_datadir}/doc/HTML/en/%{name}


%changelog
* Fri Sep 10 2010 Hans de Goede <hdegoede@redhat.com> 0.9.2-10
- Fix building with gcc 4.5 (#631436)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar  9 2009 Hans de Goede <hdegoede@redhat.com> 0.9.2-8
- Try rebuild again now that all the deps are fixed

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.2-6
- Autorebuild for GCC 4.3

* Wed Dec 19 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9.2-5
- Add patch by Rex Dieter to no longer BuildRequire kdemultimedia3-devel, as
  that is going away, we now require arts-devel instead (bz 410851)
- Revert "Put our own private lib in a subdir of /usr/lib so that we no longer
  become multilib (bz 343261)" change, as that breaks sound
- Add a patch which ensures artsd gets started if needed

* Sun Dec  2 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9.2-4
- BuildRequire kdelibs3-devel (and kdemultimedia3-devel) instead of
  kdelibs-devel as that now is kde4 based, and we need kde 3

* Mon Oct 22 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9.2-3
- Put our own private lib in a subdir of /usr/lib so that we no longer become
  multilib (bz 343261)

* Wed Aug 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9.2-2
- Update License tag for new Licensing Guidelines compliance

* Sun Jun  3 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9.2-1
- New upstream release 0.9.2

* Thu Apr 26 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9.1-2
- Ship all relevant docs including COPYING
- Link libEXT_wavpo.so with additional libs to fix unresolved non weak syms

* Tue Apr 24 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9.1-1
- Initial Fedora Extras package
